Package com.smartgwt.client.data

# Class DSLoadSettings

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.data.DSLoadSettings

All Implemented Interfaces:
  `HasHandlers`

public class DSLoadSettings extends DataClass
Settings to control optional `DataSource loading` features.

See Also:
  - `DataSource.load(java.lang.String, com.smartgwt.client.core.Function)`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DSLoadSettings()`
  `DSLoadSettings(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `getForceReload()`
  Forcibly reload a dataSource if it's already loaded.
  `Boolean`
  `getLoadParents()`
  Load parent DataSources automatically for DataSources that have an `inheritsFrom` defined.
  `Boolean`
  `getMockMode()`
  Place loaded DataSource into `mockMode`
  `static DSLoadSettings`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `DSLoadSettings`
  `setForceReload(Boolean forceReload)`
  Forcibly reload a dataSource if it's already loaded.
  `DSLoadSettings`
  `setLoadParents(Boolean loadParents)`
  Load parent DataSources automatically for DataSources that have an `inheritsFrom` defined.
  `DSLoadSettings`
  `setMockMode(Boolean mockMode)`
  Place loaded DataSource into `mockMode`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DSLoadSettings

    public DSLoadSettings()

  - ### DSLoadSettings

    public DSLoadSettings(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static DSLoadSettings getOrCreateRef(JavaScriptObject jsObj)

  - ### setForceReload

    public DSLoadSettings setForceReload(Boolean forceReload)
    Forcibly reload a dataSource if it's already loaded.
    Parameters:
      `forceReload` - New forceReload value. Default value is null
    Returns:
      `DSLoadSettings` instance, for chaining setter calls

  - ### getForceReload

    public Boolean getForceReload()
    Forcibly reload a dataSource if it's already loaded.
    Returns:
      Current forceReload value. Default value is null

  - ### setLoadParents

    public DSLoadSettings setLoadParents(Boolean loadParents)
    Load parent DataSources automatically for DataSources that have an `inheritsFrom` defined. Otherwise a DataSource with inheritsFrom will be broken if the parent DataSource is not already loaded.
    Parameters:
      `loadParents` - New loadParents value. Default value is null
    Returns:
      `DSLoadSettings` instance, for chaining setter calls

  - ### getLoadParents

    public Boolean getLoadParents()
    Load parent DataSources automatically for DataSources that have an `inheritsFrom` defined. Otherwise a DataSource with inheritsFrom will be broken if the parent DataSource is not already loaded.
    Returns:
      Current loadParents value. Default value is null

  - ### setMockMode

    public DSLoadSettings setMockMode(Boolean mockMode)
    Place loaded DataSource into `mockMode`
    Parameters:
      `mockMode` - New mockMode value. Default value is null
    Returns:
      `DSLoadSettings` instance, for chaining setter calls

  - ### getMockMode

    public Boolean getMockMode()
    Place loaded DataSource into `mockMode`
    Returns:
      Current mockMode value. Default value is null